<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	//-------------------------	
	$VP_RegXPag=50000;
	//-------------------------
	$StrPag=V($_POST['TxtPag']);	
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrCom=V($_POST['CboCom']);		
	$StrAnio=V($_POST['CboAnio']);		
	$StrMes=V($_POST['CboMes']);			
	//-------------------------
	if($StrCmd=="F"){
		$StrPag="0";
	}
	if(strlen($StrAnio)==0)$StrAnio="TODOS";
	if(strlen($StrMes)==0)$StrMes="TODOS";
	//-------------------------
	$IdUsu=$_SESSION['SYS_USER_ID'];
	if($_SESSION['SYS_USER_ALM']=="%"){
		if(strlen($StrAlm)==0)$StrAlm=GetSO("alm_nombre","almacenes","","alm_nombre");
	}else{
		$StrAlm=$_SESSION['SYS_USER_ALM'];
	}
		
	$StrAlm=T($StrAlm);

	if(strlen($StrCom)==0) $StrCom="TODOS";	
	//-------------------------
	if($StrCom=="TODOS"){
		$StrCom_="%";
	}else{
		$StrCom_=$StrCom;
	}
	if($StrAnio=="TODOS"){
		$StrAnio1=1900;
		$StrAnio2=2100;		
	}else{
		$StrAnio1=$StrAnio;
		$StrAnio2=$StrAnio;
	}
	if($StrMes=="TODOS"){
		$StrMes1=1;
		$StrMes2=12;
	}else{
		$StrMes1=gn("id_mes","meses","mes='$StrMes'");
		$StrMes2=$StrMes1;
	}
	//-------------------------
	$w="ID>0 AND ALM LIKE '$StrAlm' AND COM LIKE '$StrCom_' AND 
		ANIO>=$StrAnio1 AND ANIO<=$StrAnio2 AND ANU='N' AND 
		IMES>=$StrMes1 AND IMES<=$StrMes2 ";
	//-------------------------
	

$AT=gs("at","usuarios","id_usuario=$IdUsu");

?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Estadistica - Ventas por Meses</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="est_ven_x_mes.php" style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">ESTADISTICA - VENTAS TOTALIZADO POR MES</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 138px; width: 177px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"N","N");
    }
?>
</select>

<div class="s1" style="left: 220px; top: 121px; width: 102px;">
COMPROBANTE</div>
<select name="CboCom" id="CboCom" 
class="lt" style="left: 220px; top: 138px; width: 138px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("com_nombre","comprobantes","id_comprobante>0",$StrCom,"N","N");?>
</select>

<div class="s1" style="left: 366px; top: 121px; width: 66px;">
AÑO</div>
<select name="CboAnio" id="CboAnio" 
class="lt" style="left: 366px; top: 138px; width: 80px" 
onkeydown="return SoloTextoEx(event,'CboMes');">
<?php
if($StrAnio=="TODOS"){
echo "<option value=\"TODOS\" selected=\"selected\">TODOS</option>";	
}else{
echo "<option value=\"TODOS\" >TODOS</option>";	
}
$s="SELECT ANIO FROM v_anios ORDER BY ANIO";
$result = grs($s);
while ($row = $result->fetch_row()){
if($StrAnio==$row[0]){
echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
}else{
echo "<option value=\"$row[0]\" >$row[0]</option>";
}
}
?>
</select>

<div class="s1" style="left: 454px; top: 121px; width: 79px;">
MES</div>
<select name="CboMes" id="CboMes" 
class="lt" style="left: 454px; top: 138px; width: 110px" 
onkeydown="return SoloTextoEx(event,'CmdB');">
<?php
$s="SELECT mes FROM meses ORDER BY id_mes";
$result = grs($s);
while ($row = $result->fetch_row()){
if($StrMes==$row[0]){
echo "<option value=\"$row[0]\" selected=\"selected\">$row[0]</option>";
}else{
echo "<option value=\"$row[0]\" >$row[0]</option>";
}
}
?>
</select>



<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>
<!----------------------------------------->

<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 409px; overflow: auto">
<table id="Exportar_a_Excel" width="75%">
<thead>
<tr>
<td colspan="3" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<th width="141" style="text-align:left; background:#999">ANIO</th>
<th width="889" style="text-align:left; background:#999"">MES</th>
<th width="94"  style="text-align:right; background:#999"">TOTAL</th>
</tr>
</thead>
<tbody>
<?php
	$TOT=0;		  		
	//
	$s="SELECT ANIO,MES_,FORMAT(SUM(TOT),1) FROM vventas
		WHERE $w 
		GROUP BY ANIO,MES_ ORDER BY ANIO,IMES";
		
	$result = grs($s);				
	while ($row = $result->fetch_row()){
		?>
		<tr>
		<td style="text-align:left;"><?php echo $row[0]?></td>
		<td style="text-align:left;"><?php echo $row[1]?></td>
		<td style="text-align:right;"><?php echo $row[2]?></td>
		</tr>
		<?php
		$TOT=$TOT+$row[2];
	}

?>		  
<tr  >
<td bgcolor="#FFFFFF">&nbsp;</td>
<td bgcolor="#FFFFFF" style="text-align:right"><span class="eS4">TOTAL</span></td>
<td bgcolor="#FFFFFF" style="text-align:right" ><span class="eS4"><?php echo NF($TOT,1);?></span></td>
</tr>
         
</table>
</div>

<!----------------------------------------->
<?php include("ocultos.php");?>

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 221px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>
<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($w,$StrAlm,$StrCom,$StrAnio,$StrMes);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($w,$StrAlm,$StrCom,$StrAnio,$StrMes){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"ESTADISTICA VENTAS TOTALIZADO POR MES",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrAnio)>0){
$_ENC=vbl("AÑO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAnio.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMes)>0){
$_ENC=vbl("MES".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrMes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$_ENC=vbl("AÑO".vbfill(" ",24),24);
$_ENC=$_ENC." ".vbl("MES".vbfill(" ",54),54);
$_ENC=$_ENC." ".vbr(vbfill(" ",10)."TOTAL",10);

$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ANIO,MES_,FORMAT(SUM(TOT),1) FROM vventas
	WHERE $w 
	GROUP BY ANIO,MES_ ORDER BY ANIO,IMES";

$result = grs($s);
while ($row = $result->fetch_row()){
	$_ENC=vbl($row[0].vbfill(" ",24),24);
	$_ENC=$_ENC." ".vbl($row[1].vbfill(" ",54),54);
	$_ENC=$_ENC." ".vbr(vbfill(" ",10).NF2($row[2],1),10);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$row[2];
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Estadistica Ventas totalizado por mes.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 128px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
